
-- création de la base de donnée
CREATE DATABASE poshprofile CHARACTER SET utf8;


-- connexion à la base
\r poshprofile
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `poshprofile`
--

-- --------------------------------------------------------

--
-- Structure de la table `admin_delegation`
--

CREATE TABLE IF NOT EXISTS `admin_delegation` (
  `login` varchar(255) NOT NULL,
  PRIMARY KEY (`login`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `admin_iconito`
--

CREATE TABLE IF NOT EXISTS `admin_iconito` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `synchro_year` int(11) NOT NULL,
  `synchro_yearstart` date NOT NULL,
  `synchro_yearend` date NOT NULL,
  `synchro_group` tinyint(1) NOT NULL,
  `synchro_user` tinyint(1) NOT NULL,
  `del_group` tinyint(1) NOT NULL,
  `del_user` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `admin_panel`
--

CREATE TABLE IF NOT EXISTS `admin_panel` (
  `admin_panel_id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_panel_label` varchar(250) NOT NULL,
  `admin_panel_url` varchar(250) NOT NULL,
  `admin_panel_order` int(11) NOT NULL,
  `admin_panel_group_id` varchar(250) NOT NULL,
  PRIMARY KEY (`admin_panel_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `admin_panel_group`
--

CREATE TABLE IF NOT EXISTS `admin_panel_group` (
  `admin_panel_group_id` int(11) NOT NULL,
  `admin_panel_group_name` varchar(255) NOT NULL,
  `admin_panel_group_order` int(11) NOT NULL,
  PRIMARY KEY (`admin_panel_group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `admin_posh`
--

CREATE TABLE IF NOT EXISTS `admin_posh` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `synchro_group` tinyint(1) NOT NULL,
  `synchro_profil` tinyint(1) NOT NULL,
  `synchro_user` tinyint(1) NOT NULL,
  `del_group` tinyint(1) NOT NULL,
  `del_profil` tinyint(1) NOT NULL,
  `del_user` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Structure de la table `alert`
--

CREATE TABLE IF NOT EXISTS `alert` (
  `idalert` int(11) NOT NULL AUTO_INCREMENT,
  `titrealert` varchar(255) NOT NULL,
  `typealert` int(2) NOT NULL,
  `rssalert` varchar(1024) NOT NULL,
  `orderalert` int(3) NOT NULL,
  `nbalert` int(11) NOT NULL,
  `color` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`idalert`),
  UNIQUE KEY `titrealert` (`titrealert`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Structure de la table `alertmsg`
--

CREATE TABLE IF NOT EXISTS `alertmsg` (
  `idmsg` int(11) NOT NULL AUTO_INCREMENT,
  `idalert` int(11) NOT NULL,
  `datealert` date NOT NULL,
  `titrealert` varchar(255) NOT NULL,
  `textalert` longtext NOT NULL,
  PRIMARY KEY (`idmsg`),
  KEY `idalert` (`idalert`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Structure de la table `bookmark`
--

CREATE TABLE IF NOT EXISTS `bookmark` (
  `login` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `bookmarkid` mediumint(9) NOT NULL AUTO_INCREMENT COMMENT 'id de l item de bureau dans la base',
  `libelle` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'libellé du bouton',
  `url` varchar(500) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'url de l application associée au bouton',
  `icon` varchar(250) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'icone du bouton',
  `categorie` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `indice` int(11) DEFAULT NULL,
  `mode` int(11) DEFAULT NULL,
  PRIMARY KEY (`bookmarkid`),
  KEY `url` (`login`),
  KEY `login` (`login`,`bookmarkid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='item de bureau posh' AUTO_INCREMENT=12 ;


-- --------------------------------------------------------

--
-- Structure de la table `catitem`
--

CREATE TABLE IF NOT EXISTS `catitem` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `order` int(11) DEFAULT NULL,
  `icon` varchar(250) DEFAULT NULL,
  `color` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Structure de la table `catprofile`
--

CREATE TABLE IF NOT EXISTS `catprofile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `desktopitem`
--

CREATE TABLE IF NOT EXISTS `desktopitem` (
  `desktopid` mediumint(9) NOT NULL AUTO_INCREMENT COMMENT 'id de l item de bureau dans la base',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'nom du bouton',
  `libelle` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'libellé du bouton',
  `url` varchar(500) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'url de l application associée au bouton',
  `icon` varchar(250) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'icone du bouton',
  `categorie` int(11) DEFAULT NULL,
  `indice` int(11) DEFAULT NULL,
  `mode` int(11) DEFAULT NULL,
  `badge_type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `badge_message` longtext COLLATE utf8_unicode_ci NOT NULL,
  `badge_url` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `color` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`desktopid`),
  UNIQUE KEY `url` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='item de bureau posh' AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Structure de la table `profile`
--

CREATE TABLE IF NOT EXISTS `profile` (
  `profileid` mediumint(9) NOT NULL AUTO_INCREMENT COMMENT 'id du profil dans la base',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'nom du profil',
  `description` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'description du profil',
  `ban` tinyint(1) DEFAULT NULL,
  `categorie` int(11) DEFAULT NULL,
  PRIMARY KEY (`profileid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='profil posh' AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Structure de la table `profilealert`
--

CREATE TABLE IF NOT EXISTS `profilealert` (
  `profileid` int(11) NOT NULL,
  `alertid` int(11) NOT NULL,
  PRIMARY KEY (`profileid`,`alertid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Structure de la table `profiledesktopitem`
--

CREATE TABLE IF NOT EXISTS `profiledesktopitem` (
  `profileid` mediumint(9) NOT NULL COMMENT 'identificateur du profil',
  `desktopid` mediumint(9) NOT NULL COMMENT 'identificateur de l item de bureau',
  UNIQUE KEY `uniq_profiledesktoplink` (`desktopid`,`profileid`),
  KEY `FK_profiledesktoplink_profileid` (`profileid`),
  KEY `FK_profiledesktoplink_desktopid` (`desktopid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='table de lien entre profile et item de bureau';


-- --------------------------------------------------------

--
-- Structure de la table `profilethumb`
--

CREATE TABLE IF NOT EXISTS `profilethumb` (
  `profileid` mediumint(9) NOT NULL COMMENT 'identificateur du profil',
  `thumbid` mediumint(9) NOT NULL COMMENT 'identificateur de l onglet',
  UNIQUE KEY `uniq_profilethumblink` (`thumbid`,`profileid`),
  KEY `FK_profilethumblink_profileid` (`profileid`),
  KEY `FK_profilethumblink_thumbid` (`thumbid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='table de lien entre profile et onglet';


-- --------------------------------------------------------

--
-- Structure de la table `thumb`
--

CREATE TABLE IF NOT EXISTS `thumb` (
  `thumbid` mediumint(8) NOT NULL AUTO_INCREMENT COMMENT 'id de l onglet dans la base',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'nom de l onglet',
  `description` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'description de l onglet',
  `indice` mediumint(9) NOT NULL DEFAULT '2' COMMENT 'placement de l''onglet',
  `poshtype` tinyint(3) NOT NULL COMMENT 'type de l''onglet',
  `url` varchar(500) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'url de l application associée à  l onglet',
  `admin_profile_id` mediumint(8) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`thumbid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='onglet posh' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `userattr`
--

CREATE TABLE IF NOT EXISTS `userattr` (
  `userattrid` mediumint(9) NOT NULL AUTO_INCREMENT COMMENT 'id du profil dans la base',
  `attrname` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'nom de l attribut utilisateur',
  `attrvalue` varchar(300) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'valeur de l attribut',
  PRIMARY KEY (`userattrid`),
  UNIQUE KEY `couple_userattr_attrvalue` (`attrname`,`attrvalue`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='profil posh' AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Structure de la table `userattrprofile`
--

CREATE TABLE IF NOT EXISTS `userattrprofile` (
  `userattrid` mediumint(9) NOT NULL COMMENT 'identificateur de l attribut utilisateur',
  `profileid` mediumint(9) NOT NULL COMMENT 'identificateur du profil',
  UNIQUE KEY `uniq_userattrprofilelink` (`userattrid`,`profileid`),
  KEY `FK_profileuserattrlink_userattrid` (`userattrid`),
  KEY `FK_profileuserattrlink_profileid` (`profileid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='table de lien entre profile et attribut utilisateur';


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
