
-- On met à jour les adresses du bureau, de l'ead et du gestionnaire de profile
\r poshprofile
SET character_set_client = utf8;

-- Insertion de nouvelles colonnes
DROP PROCEDURE IF EXISTS InsertColumn;
delimiter |
CREATE PROCEDURE InsertColumn(_titre VARCHAR( 32 ))
BEGIN
	DECLARE keyexit INT DEFAULT 0;

	CASE  _titre
		WHEN 'perm_enseignant' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_wordpress' AND column_name =  'perm_enseignant';
			IF keyexit = 0 THEN
				ALTER TABLE  `admin_wordpress` ADD  `perm_enseignant` INT NULL AFTER  `perm_responsable`;
			END IF;

		WHEN 'role_notchange' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_wordpress' AND column_name =  'role_notchange';
			IF keyexit = 0 THEN
				ALTER TABLE  `admin_wordpress` ADD  `role_notchange` TINYINT NULL AFTER  `del_user`;
			END IF;

		WHEN 'pia_role_notchange' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'pia_wordpress' AND column_name =  'role_notchange';
			IF keyexit = 0 THEN
				ALTER TABLE  `pia_wordpress` ADD  `role_notchange` TINYINT NULL AFTER  `del_user`;
			END IF;

		WHEN 'pia_role_notchange_limesurvey' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'pia_limesurvey' AND column_name =  'role_notchange';
			IF keyexit = 0 THEN
				ALTER TABLE  `pia_limesurvey` ADD  `role_notchange` TINYINT NULL AFTER  `ldap_group`;
			END IF;

		WHEN 'profil_ban' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'profile' AND column_name =  'ban';
			IF keyexit = 0 THEN
				ALTER TABLE  `profile` ADD  `ban` BOOLEAN NULL AFTER  `description`;
			END IF;

		WHEN 'profil_ban_url' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'profile' AND column_name =  'banurl';
			IF keyexit = 0 THEN
				ALTER TABLE  `profile` ADD  `banurl` VARCHAR(255) NULL AFTER  `ban`;
			END IF;

		WHEN 'web_url' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_panel' AND column_name =  'admin_panel_weburl';
			IF keyexit = 0 THEN
				ALTER TABLE  `admin_panel` ADD  `admin_panel_weburl` VARCHAR(250) NULL AFTER  `admin_panel_id`;
                ALTER TABLE  `poshprofile`.`admin_panel` DROP PRIMARY KEY , ADD PRIMARY KEY (  `admin_panel_id` ,  `admin_panel_weburl` );
			END IF;

			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_panel_group' AND column_name =  'admin_panel_group_weburl';
			IF keyexit = 0 THEN
				ALTER TABLE  `admin_panel_group` ADD  `admin_panel_group_weburl` VARCHAR(100) NULL AFTER  `admin_panel_group_id`;
                ALTER TABLE  `poshprofile`.`admin_panel_group` DROP INDEX  `PRIMARY` , ADD UNIQUE  `url` (  `admin_panel_group_id` ,  `admin_panel_group_weburl` );
			END IF;

			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'desktopitem' AND column_name =  'weburl';
			IF keyexit = 0 THEN
				ALTER TABLE  `desktopitem` ADD  `weburl` VARCHAR(100) NULL AFTER  `desktopid`;
                ALTER TABLE  `poshprofile`.`desktopitem` DROP INDEX  `url` , ADD UNIQUE  `url` (  `name` ,  `weburl` );
			END IF;

        WHEN 'alias' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_panel' AND column_name =  'admin_panel_alias';
			IF keyexit = 0 THEN
				ALTER TABLE  `admin_panel` ADD  `admin_panel_alias` VARCHAR(50) NULL AFTER  `admin_panel_id`;
                ALTER TABLE  `poshprofile`.`admin_panel` DROP PRIMARY KEY , ADD PRIMARY KEY (  `admin_panel_id` , `admin_panel_alias`, `admin_panel_weburl` );
			END IF;

			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_panel_group' AND column_name =  'admin_panel_group_alias';
			IF keyexit = 0 THEN
				ALTER TABLE  `admin_panel_group` ADD  `admin_panel_group_alias` VARCHAR(50) NULL AFTER  `admin_panel_group_id`;
                ALTER TABLE  `poshprofile`.`admin_panel_group` DROP INDEX  `url` , ADD UNIQUE  `url` (  `admin_panel_group_id` , `admin_panel_group_alias`, `admin_panel_group_weburl` );
			END IF;

			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'desktopitem' AND column_name =  'alias';
			IF keyexit = 0 THEN
				ALTER TABLE  `desktopitem` ADD  `alias` VARCHAR(50) NULL AFTER  `desktopid`;
                ALTER TABLE  `poshprofile`.`desktopitem` DROP INDEX  `url` , ADD UNIQUE  `url` (  `name` ,  `alias`, `weburl` );
			END IF;

		WHEN 'annuairebuddy' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'pia_wordpress' AND column_name =  'fgbuddy';
			IF keyexit = 0 THEN
				ALTER TABLE `pia_wordpress` ADD `fgbuddy` BOOLEAN NOT NULL DEFAULT FALSE AFTER `ldap_user`;
				ALTER TABLE `pia_wordpress` ADD `ldap_buddygroup` VARCHAR(255) NULL AFTER `fgbuddy`;
				ALTER TABLE `pia_wordpress` ADD `ldap_buddymemberuid` VARCHAR(255) NULL AFTER `ldap_buddygroup`;
			END IF;

        WHEN 'ow_quota_notchange' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_owncloud' AND column_name =  'quota_notchange';
			IF keyexit = 0 THEN
				ALTER TABLE `admin_owncloud` ADD `quota_notchange` BOOLEAN NOT NULL DEFAULT FALSE AFTER `quota_administrateur`;
			END IF;

        WHEN 'limesurvey_synchro' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_limesurvey' AND column_name =  'synchro_niveau';
			IF keyexit = 0 THEN
				ALTER TABLE `admin_limesurvey` ADD `synchro_niveau` BOOLEAN NOT NULL DEFAULT TRUE AFTER `synchro_classe`;
                ALTER TABLE `admin_limesurvey` ADD `synchro_groupe` BOOLEAN NOT NULL DEFAULT TRUE AFTER `synchro_niveau`;
                ALTER TABLE `admin_limesurvey` ADD `synchro_option` BOOLEAN NOT NULL DEFAULT TRUE AFTER `synchro_groupe`;
			END IF;

        WHEN 'nextcloud_default_quota' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_nextcloud' AND column_name =  'quota';
			IF keyexit = 0 THEN
				ALTER TABLE `admin_nextcloud` ADD `quota` VARCHAR(255) NULL AFTER `id`;
                UPDATE admin_nextcloud SET quota='none';
			END IF;            

			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_nextcloud' AND column_name =  'quota_notchange';
			IF keyexit = 0 THEN
				ALTER TABLE `admin_nextcloud` ADD `quota_notchange` BOOLEAN NOT NULL DEFAULT FALSE AFTER `quota`;
			END IF;               
	END CASE;
END|
DELIMITER ;

DROP PROCEDURE IF EXISTS ModifSynchoWP;
DELIMITER |

CREATE PROCEDURE ModifSynchoWP()
BEGIN
	DECLARE last_run INT;
	DECLARE purger_sentry INT;
	DECLARE purger_buddypress INT;

	-- si la table admin_wordpress_group n'existe pas
	SELECT count(*) INTO last_run FROM information_schema.tables WHERE table_schema = 'poshprofile' AND table_name = 'admin_wordpress_group' LIMIT 1;

	IF last_run = 0 THEN
		CREATE TABLE IF NOT EXISTS `admin_wordpress_group` (
			`id` int(11) NOT NULL AUTO_INCREMENT,
			`idsite` int(11) NOT NULL,
			`idsynchro` int(11) NOT NULL,
			`labelsynchro` varchar(255) NOT NULL,
			PRIMARY KEY (`id`)
			) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

		-- on alimente la table avec les données de la table admin_wordpress
		INSERT INTO admin_wordpress_group (idsite, idsynchro, labelsynchro) SELECT id, idsynchro, labelsynchro FROM `admin_wordpress`;

		UPDATE  admin_wordpress SET  role_notchange =  '1' WHERE  role_notchange IS NULL;
	END IF;


	-- on vérifie l'existence des champs purger_sentry et purger_buddypress dans la table admin_wordpress
	SELECT COUNT(column_name) INTO purger_sentry FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'admin_wordpress' AND column_name = 'purger_sentry';
	SELECT COUNT(column_name) INTO purger_buddypress FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'admin_wordpress' AND column_name = 'purger_buddypress';

	IF purger_sentry = 0 && purger_buddypress = 0 THEN
  		ALTER TABLE `admin_wordpress` ADD `purger_sentry` INT NOT NULL DEFAULT '0', ADD `purger_buddypress` INT NOT NULL DEFAULT '0';
	END IF;

END|
DELIMITER ;


-- Modification de structure
CALL InsertColumn('profil_ban');
CALL InsertColumn('profil_ban_url');
CALL InsertColumn('web_url');
CALL InsertColumn('alias');


%if %%getVar("activer_ninegate", "non") == 'oui'
    TRUNCATE TABLE `profile`;
    TRUNCATE TABLE `catitem`;
    TRUNCATE TABLE `userattr`;
    TRUNCATE TABLE `userattrprofile`;
%else
-- Profile
INSERT IGNORE INTO `profile` (`profileid`, `name`, `description`, `categorie`) VALUES
(1, 'professeur', 'Enseignants', 0),
(2, 'eleve', 'Elèves', 0),
(3, 'administrateur', 'Administrateur', 0),
(4, 'main_user', 'Tout le monde', 0),
(5, 'responsable', 'Responsables légaux', 0),
(6, 'administratif', 'Administratifs', 0);

-- Categorie d'item
INSERT IGNORE INTO `catitem` (`id`, `name`, `order`, `icon`, `color`) VALUES
(-100, 'Application', 1, '', '#2ECC71'),
(-110, 'Administration', 2, '', '#C0392B');

-- Attribut
INSERT IGNORE INTO `userattr` (`userattrid`, `attrname`, `attrvalue`) VALUES
(1, 'typeadmin', '0'),
(2, 'typeadmin', '2'),
(3, 'uid', 'None'),
(4, 'uid', 'admin'),
(5, 'user_groups', 'eleves'),
(6, 'objectclass', 'responsable'),
(7, 'user_groups', 'administratifs');

-- Association Profil <> Attribut
INSERT IGNORE INTO `userattrprofile` (`userattrid`, `profileid`) VALUES
(1, 1),
(2, 1),
(3, 4),
(4, 3),
(5, 2),
(6, 5),
(7, 6);
%end if

-- Gestion du Menu -----------------------------------------------------------------------------------------------------------------------------------

-- Table des Entrées du Menu
CREATE TABLE IF NOT EXISTS `admin_panel` (
  `admin_panel_id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_panel_label` varchar(250) NOT NULL,
  `admin_panel_url` varchar(250) NOT NULL,
  `admin_panel_order` int(11) NOT NULL,
  `admin_panel_group_id` varchar(250) NOT NULL,
  PRIMARY KEY (`admin_panel_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DELETE FROM `admin_panel` WHERE admin_panel_alias IS NULL OR admin_panel_weburl IS NULL;
DELETE FROM `admin_panel` WHERE admin_panel_alias='' OR  admin_panel_weburl='';
DELETE FROM `admin_panel` WHERE admin_panel_alias='global' AND admin_panel_weburl='global';
DELETE FROM `admin_panel` WHERE admin_panel_alias='%%alias_poshprofil' AND admin_panel_weburl='%%web_url';

%if %%getVar("activer_ninegate", "non") == 'non'
    %if (%%is_defined('activer_envole') and %%activer_envole == 'oui') or (%%is_defined('activer_xdesktop') and %%activer_xdesktop == 'oui')
        INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
        (1, '%%alias_poshprofil', '%%web_url', 'Gestion des Catégories de Profils', 'admin-catprofil.php', 1, '1'),
        (2, '%%alias_poshprofil', '%%web_url', 'Gestion des Profils', 'admin-profil.php', 2, '1'),
        (3, '%%alias_poshprofil', '%%web_url', 'Gestion des Attributs', 'admin-attribut.php', 3, '1'),
        (4, '%%alias_poshprofil', '%%web_url', 'Gestion des Catégories d''Items', 'admin-catitem.php', 4, '1'),
        (5, '%%alias_poshprofil', '%%web_url', 'Gestion des Items de Bureau', 'admin-item.php', 5, '1'),
        (6, '%%alias_poshprofil', '%%web_url', 'Gestion des Onglets', 'admin-thumb.php', 6, '1'),
        (7, '%%alias_poshprofil', '%%web_url', 'Gestion des Articles', 'admin-alert.php', 7, '1'),

        (10, '%%alias_poshprofil', '%%web_url', 'Définir des Rôles', 'admin-attrprofil.php', 1, '10'),
        (11, '%%alias_poshprofil', '%%web_url', '<br>Autoriser des Items de Bureau', 'admin-profilitem.php', 2, '10'),
        (12, '%%alias_poshprofil', '%%web_url', 'Autoriser des Onglets', 'admin-profilthumb.php', 3, '10'),
        (13, '%%alias_poshprofil', '%%web_url', 'Autoriser des Articles', 'admin-profilalert.php', 4, '10');
    %end if
%end if

INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
(14,'global', 'global', 'Délégation', 'admin-delegation.php', 5, '10');

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ENT'
	-- Pour l'instant pas de synchro SCONET
	DELETE FROM `admin_panel` WHERE admin_panel_id=19;

	%if %%is_defined('activer_balado') and %%activer_balado == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(20, '%%alias_poshprofil', '%%web_url', 'Balado','synchro/balado-admin.php',1,'20');
	%end if

	%if %%is_defined('activer_cdt') and %%activer_cdt == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(21, '%%alias_poshprofil', '%%web_url', 'CDT','synchro/cdt-admin.php',2,'20');
	%end if

	%if %%is_defined('activer_gepi') and %%activer_gepi == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(22, '%%alias_poshprofil', '%%web_url', 'Gepi via Annuaire','https://%%{web_url}/gepi/gepi-admin.php',3,'20');

		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(23, '%%alias_poshprofil', '%%web_url', 'Gepi via SIECLE','synchro/gepisconet-admin.php',4,'20');
	%end if

	%if %%is_defined('activer_iconito') and %%activer_iconito == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(24, '%%alias_poshprofil', '%%web_url', 'Iconito','synchro/iconito-admin.php',5,'20');
	%end if

	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(25, '%%alias_poshprofil', '%%web_url', 'Limesurvey','synchro/limesurvey-admin.php',6,'20');
	%end if

	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(26, '%%alias_poshprofil', '%%web_url', 'Moodle','synchro/moodle-admin.php',7,'20');
	%end if

	%if %%is_defined('activer_nextcloud') and %%activer_nextcloud == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(27, '%%alias_poshprofil', '%%web_url', 'Nextcloud','synchro/nextcloud-admin.php',8,'20');
	%end if

	%if %%is_defined('activer_owncloud') and %%activer_owncloud == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(28, '%%alias_poshprofil', '%%web_url', 'Owncloud','synchro/owncloud-admin.php',9,'20');
	%end if

	%if %%is_defined('activer_piwigo') and %%activer_piwigo == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(29, '%%alias_poshprofil', '%%web_url', 'Piwigo','synchro/piwigo-admin.php',10,'20');
	%end if

	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(30, '%%alias_poshprofil', '%%web_url', 'Posh','synchro/posh-admin.php',11,'20');
	%end if

	%if %%is_defined('activer_sacoche') and %%activer_sacoche == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(31, '%%alias_poshprofil', '%%web_url', 'Sacoche via SIECLE','synchro/sacochesconet-admin.php',12,'20');
	%end if

	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(32, '%%alias_poshprofil', '%%web_url', 'Wordpress','synchro/wordpress-admin.php',13,'20');
	%end if


%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'Annuaire'
	%if %%is_defined('activer_fengoffice') and %%activer_fengoffice == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(20, '%%alias_poshprofil', '%%web_url', 'Fengoffice','pia/fengoffice-admin.php',1,'20');
	%end if

	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(21, '%%alias_poshprofil', '%%web_url', 'Limesurvey','pia/limesurvey-admin.php',2,'20');
	%end if

	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(22, '%%alias_poshprofil', '%%web_url', 'Moodle','pia/moodle-admin.php',3,'20');
	%end if

	%if %%is_defined('activer_piwik') and %%activer_piwik == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(23, '%%alias_poshprofil', '%%web_url', 'Piwik','pia/piwik-admin.php',4,'20');
	%end if

	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(24, '%%alias_poshprofil', '%%web_url', 'Posh','pia/posh-admin.php',4,'20');
	%end if

	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(25, '%%alias_poshprofil', '%%web_url', 'Wordpress','pia/wordpress-admin.php',5,'20');
	%end if

%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ProfilCache'
	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_alias`, `admin_panel_weburl`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(24, '%%alias_poshprofil', '%%web_url', 'Posh','profilcache/posh-admin.php',5,'20');
	%end if
%end if


-- Tables des Groupes de Menu
CREATE TABLE IF NOT EXISTS `admin_panel_group` (
  `admin_panel_group_id` int(11) NOT NULL,
  `admin_panel_group_name` varchar(255) NOT NULL,
  `admin_panel_group_order` int(11) NOT NULL,
  PRIMARY KEY (`admin_panel_group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DELETE FROM `admin_panel_group` WHERE admin_panel_group_alias IS NULL OR admin_panel_group_weburl IS NULL;
DELETE FROM `admin_panel_group` WHERE admin_panel_group_alias='global' AND admin_panel_group_weburl='global';
DELETE FROM `admin_panel_group` WHERE admin_panel_group_alias = '%%alias_poshprofil' AND admin_panel_group_weburl='%%web_url';
INSERT INTO `admin_panel_group` (`admin_panel_group_id`, `admin_panel_group_alias`, `admin_panel_group_weburl`,  `admin_panel_group_name`, `admin_panel_group_order`) VALUES

%if %%getVar("activer_ninegate", "non") == 'non'
    %if (%%is_defined('activer_envole') and %%activer_envole == 'oui') or (%%is_defined('activer_xdesktop') and %%activer_xdesktop == 'oui')
    (1, '%%alias_poshprofil', '%%web_url', 'Paramétrages', 1),
    %end if
%end if
(10, '%%alias_poshprofil', '%%web_url', 'Permission', 2),
(20, '%%alias_poshprofil', '%%web_url', 'Synchronisation',3);


-- Gestion des Alertes -------------------------------------------------------------------------------------------------------------------------------

DROP PROCEDURE IF EXISTS InsertAlert;
delimiter |
CREATE PROCEDURE InsertAlert(_titre VARCHAR( 32 ) , _type INT( 1 ), _order INT(2), _nbalert INT(2), _color VARCHAR( 150 ), _rss VARCHAR( 150 ))
BEGIN
	DECLARE idinsert INT;
	DECLARE fgexist  INT;

	SELECT COUNT(*), idalert INTO fgexist, idinsert FROM alert WHERE titrealert=_titre;
    INSERT INTO `alert` (titrealert, typealert, rssalert, orderalert, nbalert, color) VALUES (_titre, _type, _rss, _order, _nbalert, _color) ON DUPLICATE KEY UPDATE rssalert=_rss;

	IF _titre='Articles' THEN
		SELECT idalert INTO idinsert FROM alert WHERE titrealert=_titre;
		INSERT IGNORE INTO `alertmsg` (`idmsg`, `idalert`, `datealert`, `titrealert`) VALUES (-100, idinsert, '2000-01-01', 'Envole');
		UPDATE `alertmsg` SET `textalert`='<div style="display:block; min-height:220px;">	<div style="float: left;margin-right: 10px;">		<img src="/%%alias_poshprofil/images/thumb-envole.jpg" />		<div id="rssMore" style="margin:0px !important">			<a href="http://ent-envole.com" style="font-size: 12px; text-align: center; display:block;" target="_blank">Visitez le site vitrine</a></div>	</div>	<div style="margin-left:140px;">		<h2>			Projet Envole</h2>		<p>			Envole est un Espace Num&eacute;rique Personnel pour l&#39;Education.</p>		<p>			Il propose une interface de type portail Web 2.0 qui permet l&rsquo;interaction entre un utilisateur et son environnement num&eacute;rique r&eacute;sultant de l&rsquo;utilisation de services h&eacute;t&eacute;rog&egrave;nes.</p>		<p>			Il centralise dans une seule interface l&rsquo;ensemble des applications de l&rsquo;utilisateur : mail, agenda, dossier personnel, B2I, blog, gestion de notes, gestion des absences, etc &hellip;</p>	</div></div><div style="display:block; min-height:220px;">	<div style="float: right;margin-left: 10px;">		<img src="/%%alias_poshprofil/images/thumb-mutualisation.jpg" />		<div id="rssMore" style="margin: 0px !important">			<a href="https://envole.ac-dijon.fr" style="font-size: 12px; text-align: center; display:block;" target="_blank">Visitez le site vitrine</a></div>	</div>	<div style="margin-right:140px;">		<h2>			Mutualisation Envole</h2>		<p>			Afin de fournir un portail de services en ligne &agrave; tous les acteurs du syst&egrave;me &eacute;ducatif, les acad&eacute;mies d&rsquo;Aix-Marseille, de Besan&ccedil;on, de Cr&eacute;teil, de Dijon, de Reims, de La R&eacute;union, d&rsquo;Orl&eacute;ans-Tours et de Poitiers ont d&eacute;cid&eacute; de coop&eacute;rer et de conjuguer leurs efforts pour d&eacute;velopper en commun un espace num&eacute;rique de travail &agrave; destination des &eacute;coles et des &eacute;tablissements scolaires.</p>		<p>			Envole est aussi mise en &oelig;uvre sur d&rsquo;autres territoires d&rsquo;acad&eacute;mies qui n&rsquo;ont pas sign&eacute; la convention de partenariat mais dont les &eacute;quipes contribuent au d&eacute;veloppement technique.</p>	</div></div><div style="display:block; min-height:220px;"><div style="float: left;margin-right: 10px;">	<img src="/%%alias_poshprofil/images/thumb-eole.jpg" />	<div id="rssMore" style="margin:0px !important">		<a href="http://eole.orion.education.fr/" style="font-size: 12px; text-align: center; display:block;" target="_blank">Visitez le site vitrine</a></div></div><div style="margin-left:140px;">	<h2>		EOLE</h2>	<p>		EOLE est une solution informatique clef en mains compos&eacute;e de produits libres packag&eacute;s pour des besoins sp&eacute;cifiques. Les solutions sont pr&ecirc;tes &agrave; l&rsquo;emploi, elles sont faciles &agrave; installer et &agrave; maintenir. Les besoins couverts vont de la messagerie et la gestion des fichiers au serveur de s&eacute;curit&eacute;.</p>	<p>		Les fonctionnalit&eacute;s propos&eacute;es par EOLE couvrent tous les besoins d&rsquo;un &eacute;tablissement scolaire, que ce soit pour la p&eacute;dagogie ou l&rsquo;administratif. C&rsquo;est la solution informatique officielle de l&rsquo;Education Nationale.</p>	<p>		EOLE s&rsquo;ouvre maintenant &agrave; d&rsquo;autres administrations.</p></div></div>' WHERE `idmsg`=-100;

		IF NOT fgexist THEN
			INSERT INTO profilealert (profileid, alertid) VALUES(4,idinsert);
		END IF;
	ELSE
		IF NOT fgexist THEN
			SELECT idalert INTO idinsert FROM alert WHERE titrealert=_titre;
			INSERT INTO profilealert (profileid, alertid) VALUES(3,idinsert);
		END IF;
	END IF;
END|
DELIMITER ;

%if %%getVar("activer_ninegate", "non") == 'non'
    CALL InsertAlert('Articles', 1, 1, 5, '#2ecc71', '');
    CALL InsertAlert('Envole'  , 0, 2, 5, '#00cbf3', 'https://dev-eole.ac-dijon.fr/projects/envole/news.atom?key=0c3837f9fcaf2704056f8915c92c9dfb3d27579c');
    CALL InsertAlert('EOLE'    , 0, 3, 5, '#f39c12', 'https://dev-eole.ac-dijon.fr/projects/modules-eole/news.atom?key=0c3837f9fcaf2704056f8915c92c9dfb3d27579c');
%end if

DROP PROCEDURE InsertAlert;



-- Tables de Synchronisation -------------------------------------------------------------------------------------------------------------------------

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ENT'
	-- Table d'administration de synchronisation Posh
    %if %%is_defined('activer_envole') and %%activer_envole == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_posh` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_group` tinyint(1) NOT NULL,
	  `synchro_profil` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_group` tinyint(1) NOT NULL,
	  `del_profil` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_posh` (`id`, `synchro_group`, `synchro_profil`, `synchro_user`, `del_group`, `del_profil`, `del_user`) VALUES (1, 1, 1, 1, 1, 1, 1);
	%end if

	-- Table d'administration de synchronisation Sacoche
	%if %%is_defined('activer_sacoche') and %%activer_sacoche == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_sacoche` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_group` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_group` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_sacoche` (`id`, `synchro_group`, `synchro_user`, `del_group`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%end if

	-- Table d'administration de synchronisation Wordpress
	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_wordpress` (
	  `id` int(11) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  `role_notchange` tinyint(1) DEFAULT NULL,
	  `perm_visiteur` int(11) NOT NULL,
	  `perm_eleve` int(11) NOT NULL,
	  `perm_responsable` int(11) NOT NULL,
	  `perm_enseignant` int(11) DEFAULT NULL,
	  `perm_administratif` int(11) NOT NULL,
	  `perm_administrateur` int(11) NOT NULL,
	  `idsynchro` varchar(50) NOT NULL,
	  `labelsynchro` varchar(255) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;

	CALL InsertColumn('perm_enseignant');
	CALL InsertColumn('role_notchange');

	INSERT IGNORE INTO `admin_wordpress` (`id`, `synchro_user`, `del_user`, `perm_visiteur`, `perm_eleve`, `perm_responsable`, `perm_enseignant`, `perm_administratif`, `perm_administrateur`, `idsynchro`, `labelsynchro`) VALUES (1, 1, 1, 0, 1, 1, 3, 3, 5, '-1', 'Tout > Tout');
	UPDATE  admin_wordpress SET  perm_enseignant =  '4' WHERE  perm_enseignant IS NULL;
	UPDATE  admin_wordpress SET  role_notchange =  '1' WHERE  role_notchange IS NULL;

	CALL ModifSynchoWP;
	%end if

	-- Table d'administration de synchronisation du cahier de textes (CDT)
	%if %%is_defined('activer_cdt') and %%activer_cdt == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_cdt` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_eleves` tinyint(1) NOT NULL,
	  `del_eleves` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

	INSERT IGNORE INTO `admin_cdt` (`id`, `synchro_eleves`, `del_eleves`) VALUES (1, 1, 1);
	%end if

	-- Table d'administration de synchronisation Iconito
	%if %%is_defined('activer_iconito') and %%activer_iconito == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_iconito` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_year` int(11) NOT NULL,
	  `synchro_yearstart` date NOT NULL,
	  `synchro_yearend` date NOT NULL,
	  `synchro_group` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_group` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	CREATE TABLE IF NOT EXISTS `admin_iconito_rne` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `rne` varchar(250) NOT NULL,
	  `ville` varchar(250) NOT NULL,
	  `circonscription` varchar(250) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_iconito` (`id`, `synchro_year`, `synchro_yearstart`, `synchro_yearend`, `synchro_group`, `synchro_user`, `del_group`, `del_user`) VALUES
	(1, 0, '0000-00-00', '0000-00-00', 0, 1, 0, 1);
	%end if

    -- Table d'administration de la synchro gepi
	%if %%is_defined('activer_gepi') and %%activer_gepi == 'oui'
    CREATE TABLE IF NOT EXISTS `admin_gepi` (
      `id` int(11) NOT NULL,
      `synchro_eleves` tinyint(1) NOT NULL,
      `synchro_resp` tinyint(1) NOT NULL,
      `synchro_profs` tinyint(1) NOT NULL
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

    INSERT IGNORE INTO `admin_gepi` (`id`, `synchro_eleves`, `synchro_resp`, `synchro_profs`) VALUES (1, 1, 1, 1);
	%end if


	-- Table d'administration de synchronisation Balado
	%if %%is_defined('activer_balado') and %%activer_balado == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_balado` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_classe` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_classe` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_balado` (`id`, `synchro_classe`, `synchro_user`, `del_classe`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%end if

	-- Table d'administration de synchronisation Piwigo
	%if %%is_defined('activer_piwigo') and %%activer_piwigo == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_piwigo` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_classe` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_classe` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_piwigo` (`id`, `synchro_classe`, `synchro_user`, `del_classe`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%end if

	-- Table d'administration de synchronisation Moodle
	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_moodle` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_classe` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_classe` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_moodle` (`id`, `synchro_classe`, `synchro_user`, `del_classe`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%end if

	-- Table d'administration de synchronisation nextcloud
	%if %%is_defined('activer_nextcloud') and %%activer_nextcloud == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_nextcloud` (
	  `id` int(11) NOT NULL,
	  `quota_eleve` varchar(255) DEFAULT NULL,
	  `quota_responsable` varchar(255) DEFAULT NULL,
	  `quota_enseignant` varchar(255) DEFAULT NULL,
	  `quota_administratif` varchar(255) DEFAULT NULL,
	  `quota_administrateur` varchar(255) DEFAULT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;
    CALL InsertColumn('nextcloud_default_quota');

	INSERT IGNORE INTO `admin_nextcloud` (`id`, `quota`, `quota_eleve`, `quota_responsable`, `quota_enseignant`, `quota_administratif`, `quota_administrateur`) VALUES
	    (1, 'none', 'default', 'default', 'default', 'default', 'default');
	%end if

	-- Table d'administration de synchronisation owncloud
	%if %%is_defined('activer_owncloud') and %%activer_owncloud == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_owncloud` (
	  `id` int(11) NOT NULL,
	  `quota_eleve` varchar(255) DEFAULT NULL,
	  `quota_responsable` varchar(255) DEFAULT NULL,
	  `quota_enseignant` varchar(255) DEFAULT NULL,
	  `quota_administratif` varchar(255) DEFAULT NULL,
	  `quota_administrateur` varchar(255) DEFAULT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;

	INSERT IGNORE INTO `admin_owncloud` (`id`, `quota_eleve`, `quota_responsable`, `quota_enseignant`, `quota_administratif`, `quota_administrateur`) VALUES
	    (1, 'default', 'default', 'default', 'default', 'default');

    CALL InsertColumn('ow_quota_notchange');
	%end if



	-- Table d'administration de synchronisation Limesurvey
	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_limesurvey` (
        `id` int(11) NOT NULL AUTO_INCREMENT,
        `synchro_classe` tinyint(1) NOT NULL,
        PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

    CALL InsertColumn('limesurvey_synchro');

	INSERT IGNORE INTO `admin_limesurvey` (`id`, `synchro_classe`, `synchro_niveau`, `synchro_groupe`, `synchro_option`) VALUES (1, 1, 1, 1, 1);
	%end if

%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'Annuaire'

	-- Table d'administration de synchronisation Posh
	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_posh` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_profil` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_profil` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `pia_posh` (`id`, `synchro_profil`, `synchro_user`, `del_profil`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%end if

	-- Table d'administration de synchronisation Limesurvey
	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_limesurvey` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_group` tinyint(1) NOT NULL,
	  `ldap_group` varchar(255) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
	INSERT IGNORE INTO `pia_limesurvey` (`id`, `synchro_group`, `ldap_group`) VALUES (1, 0, "(&(cn=*)(objectClass=posixGroup))");
    CALL InsertColumn('pia_role_notchange_limesurvey');
    UPDATE  pia_limesurvey SET role_notchange =  '1' WHERE role_notchange IS NULL;
	%end if

	-- Table d'administration de synchronisation piwik
	%if %%is_defined('activer_piwik') and %%activer_piwik == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_piwik` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_user` tinyint(1) NOT NULL,
      `ldap_user` varchar(255) NOT NULL,
	  `ldap_view` varchar(255) NOT NULL,
      `ldap_admin` varchar(255) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
	INSERT IGNORE INTO `pia_piwik` (`id`, `synchro_user`, `ldap_user`, `ldap_view`, `ldap_admin`) VALUES (1, 0,"(&(uid=*)(objectClass=person))","","");
	%end if

	-- Table d'administration de synchronisation Moodle
	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_moodle` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_group` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_group` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  `ldap_group` varchar(255) NOT NULL,
	  `ldap_user` varchar(255) NOT NULL,
	  `ldap_prof` varchar(255) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `pia_moodle` (`id`, `synchro_group`, `synchro_user`, `del_group`, `del_user`, `ldap_group`, `ldap_user`, `ldap_prof`) VALUES (1, 0, 0, 1, 1, "(&(cn=*)(objectClass=posixGroup))", "(&(uid=*)(objectClass=person))", "(&(cn=Formateur)(objectClass=posixGroup))");
	%end if

	-- Table d'administration de synchronisation Wordpress
	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_wordpress` (
	  `id` int(11) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  `role_notchange` tinyint(1) DEFAULT NULL,
	  `ldap_abonne` varchar(255) DEFAULT NULL,
	  `ldap_contributeur` varchar(255) DEFAULT NULL,
	  `ldap_auteur` varchar(255) DEFAULT NULL,
	  `ldap_editeur` varchar(255) DEFAULT NULL,
	  `ldap_administrateur` varchar(255) NOT NULL,
	  `ldap_user` varchar(255) DEFAULT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;

	-- Table d'administration de synchronisation Wordpress Groupe
	CREATE TABLE IF NOT EXISTS `pia_wordpress_group` (
	  `id` int(11) NOT NULL,
	  `name_group` varchar(255) NOT NULL,
	  `ldap_query` varchar(255) DEFAULT NULL,
	  PRIMARY KEY (`id`,`name_group`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;

	INSERT IGNORE INTO `pia_wordpress` (`id`, `synchro_user`, `del_user`, `ldap_abonne`, `ldap_contributeur`, `ldap_auteur`, `ldap_editeur`, `ldap_administrateur`, `ldap_user`) VALUES (1, 0, 0, '', '', '', '', '(uid=admin)', '(uid=#login#)');
	UPDATE `pia_wordpress` SET `ldap_abonne` = '(uid=*)' WHERE `pia_wordpress`.`id` = 1;
	
	CALL InsertColumn('pia_role_notchange');
	UPDATE  pia_wordpress SET  role_notchange =  '1' WHERE  role_notchange IS NULL;

	CALL InsertColumn('annuairebuddy');

	%end if

	-- Table d'administration de synchronisation fengoffice
	%if %%is_defined('activer_fengoffice') and %%activer_fengoffice == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_fengoffice` (
	  `id` int(11) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  `ldap_guest` varchar(255) DEFAULT NULL,
	  `ldap_guestcustomer` varchar(255) DEFAULT NULL,
	  `ldap_externalcollaborator` varchar(255) DEFAULT NULL,
	  `ldap_internalcollaborator` varchar(255) DEFAULT NULL,
	  `ldap_collaboratorcustomer` varchar(255) NOT NULL,
	  `ldap_executive` varchar(255) DEFAULT NULL,
	  `ldap_manager` varchar(255) DEFAULT NULL,
	  `ldap_administrator` varchar(255) DEFAULT NULL,
	  `ldap_superadministrator` varchar(255) DEFAULT NULL,
	  `ldap_user` varchar(255) DEFAULT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;

	INSERT IGNORE INTO `pia_fengoffice` (`id`, `synchro_user`, `del_user`, `ldap_guest`, `ldap_guestcustomer`, `ldap_externalcollaborator`, `ldap_internalcollaborator`, `ldap_collaboratorcustomer`, `ldap_executive`, `ldap_manager`, `ldap_administrator`, `ldap_superadministrator`, `ldap_user`) VALUES (1, 0, 0, '', '', '', '','','(uid=*)','','','(uid=admin)','(uid=#login#)');
	%end if
%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ProfilCache'

	-- Table d'administration de synchronisation Posh
	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
	CREATE TABLE IF NOT EXISTS `profilcache_posh` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_profil` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_profil` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `profilcache_posh` (`id`, `synchro_profil`, `synchro_user`, `del_profil`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%end if
%end if

-- Création Item Bureau ------------------------------------------------------------------------------------------------------------------------------

DROP PROCEDURE IF EXISTS GereDesktopItem;
delimiter |
CREATE PROCEDURE GereDesktopItem(_fgactif INT, _name VARCHAR( 32 ) , _libelle VARCHAR( 32 ), _url VARCHAR( 150 ), _icon VARCHAR(150), _badge_type VARCHAR( 32 ), _badge_url VARCHAR(150), _categorie INT, _iddefprofil INT)
begin
	DECLARE iditem INT;
	DECLARE fgexist INT;

	IF _fgactif THEN
		SELECT COUNT(*), desktopid INTO fgexist,iditem FROM desktopitem WHERE name=_name AND weburl='%%web_url';

		IF fgexist=0 THEN
       		INSERT INTO `desktopitem` (alias, weburl, name, libelle, url, icon, badge_type, badge_url, indice, color, categorie) VALUES ('%%alias_poshprofil', '%%web_url', _name, _libelle, _url, _icon, _badge_type, _badge_url, 0, '#00cbf3', _categorie);
			SELECT desktopid INTO iditem FROM desktopitem WHERE name=_name AND weburl='%%web_url';

			-- Ajout de l'item au profil admin
			IF _categorie=-110 THEN
				INSERT INTO profiledesktopitem (profileid, desktopid) VALUES(3,iditem);
			ELSE
				INSERT INTO profiledesktopitem (profileid, desktopid) VALUES(_iddefprofil,iditem);
			END IF;
		ELSE
            UPDATE `desktopitem` SET url=_url, badge_url=_badge_url WHERE name=_name AND weburl='%%web_url';
		END IF;

	ELSE
		DELETE FROM profiledesktopitem WHERE profiledesktopitem.desktopid=(SELECT desktopitem.desktopid FROM desktopitem WHERE name=_name AND weburl='%%web_url');
		DELETE FROM desktopitem WHERE name=_name AND alias='%%alias_poshprofil' AND weburl='%%web_url';
	END IF;
end|
delimiter ;

DROP PROCEDURE IF EXISTS DesktopItem;
delimiter |
CREATE PROCEDURE DesktopItem()
begin
	DECLARE fgactif INT DEFAULT FALSE;
	DECLARE defprofil VARCHAR(200);
	DECLARE iddefprofil INT;

    -- Init des ancien item sans weburl
    UPDATE desktopitem SET weburl='%%web_url' WHERE weburl IS NULL;
    UPDATE desktopitem SET alias='%%alias_poshprofil' WHERE alias IS NULL;

    -- Profil par défaut d'affectation
    SET defprofil='%%poshprofil_newitem';
    IF defprofil='Administrateur' THEN
        SET iddefprofil=3;
    ELSE
        SET iddefprofil=4;
    END IF;

	-- EAD
	SET fgactif=FALSE;
	%if %%is_defined('activer_ead_web') and %%activer_ead_web == 'oui'
		SET fgactif=TRUE;
	%end if

	CALL GereDesktopItem(fgactif, 'ead', 'EAD', '/', '/%%alias_poshprofil/images/icon/ead.png','','',-110, iddefprofil);

	%if %%is_defined('activer_ead_reverseproxy') and %%activer_ead_reverseproxy == 'oui'
		UPDATE `desktopitem` SET `url`='https://%%web_url:%%port_ead_reverseproxy/connect/?server=1' WHERE `name`='ead' AND `weburl`='%%web_url';
	%else
		UPDATE `desktopitem` SET `url`='https://%%web_url:4200/connect/?server=1' WHERE `name`='ead' AND `weburl`='%%web_url';
	%end if


	-- ajaxplorer
	SET fgactif=FALSE;
	%if %%is_defined('activer_proftpd') and %%activer_proftpd == 'oui'
	%if %%is_defined('activer_ajaxplorer') and %%activer_ajaxplorer == 'oui'
		SET fgactif=TRUE;
	%end if
	%end if
	CALL GereDesktopItem(fgactif,'ajaxplorer', 'Ajaxplorer', '/ajaxplorer', '/%%alias_poshprofil/images/icon/dir.png','','',-100, iddefprofil);

	-- cdc
	SET fgactif=FALSE;
	%if %%is_defined('activer_cdc') and %%activer_cdc =='oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'cdc', 'CDC', '/cdc', '/%%alias_poshprofil/images/icon/cdc.png','','',-100, iddefprofil);

	-- cdt
	SET fgactif=FALSE;
	%if %%is_defined('activer_cdt') and %%activer_cdt =='oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'cdt', 'CDT', '/cdt', '/%%alias_poshprofil/images/icon/cdt.png','','/cdt/fluxEnvole.php',-100, iddefprofil);

	-- dokuwiki
	SET fgactif=FALSE;
	%if %%is_defined('activer_dokuwiki') and %%activer_dokuwiki == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'dokuwiki', 'Dokuwiki', '/dokuwiki', '/%%alias_poshprofil/images/icon/dokuwiki.png','','',-100, iddefprofil);

	-- fluxbb
	SET fgactif=FALSE;
	%if %%is_defined('activer_fluxbb') and %%activer_fluxbb == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'fluxbb', 'FluxBB', '/fluxbb', '/%%alias_poshprofil/images/icon/fluxbb.png','','',-100, iddefprofil);

	-- gepi
	SET fgactif=FALSE;
	%if %%is_defined('activer_gepi') and %%activer_gepi == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'gepi', 'GEPI', '/gepi', '/%%alias_poshprofil/images/icon/gepi.png','','',-100, iddefprofil);

	-- gibii
	SET fgactif=FALSE;
	%if %%is_defined('activer_gibii') and %%activer_gibii == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'gibii', 'B2i', '/gibii', '/%%alias_poshprofil/images/icon/b2i.png','','',-100, iddefprofil);

	-- grr
	SET fgactif=FALSE;
	%if %%is_defined('activer_grr') and %%activer_grr == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'grr', 'Grr', '/grr', '/%%alias_poshprofil/images/icon/grr.png','','',-100, iddefprofil);

	-- moodle
	SET fgactif=FALSE;
	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'moodle', 'Moodle', '/moodle', '/%%alias_poshprofil/images/icon/moodle.png','','',-100, iddefprofil);

	-- piwigo
	SET fgactif=FALSE;
	%if %%is_defined('activer_piwigo') and %%activer_piwigo == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'piwigo', 'Piwigo', '/piwigo', '/%%alias_poshprofil/images/icon/piwigo.png','','',-100, iddefprofil);

	-- roundcube
	SET fgactif=FALSE;
	%if %%is_defined('activer_roundcube') and %%activer_roundcube == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'roundcube', 'Roundcube', '/roundcube', '/%%alias_poshprofil/images/icon/roundcube.png','','/%%alias_poshprofil/script/unread.php',-100, iddefprofil);

	-- zarafa
	SET fgactif=FALSE;
	%if %%is_defined('activer_webapp') and %%activer_webapp == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'zarafa_webapp', 'Zarafa Web', '/webapp', '/%%alias_poshprofil/images/icon/mail.png','','',-100, iddefprofil);

	SET fgactif=FALSE;
	%if %%is_defined('activer_groupware') and %%activer_groupware == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'zarafa', 'Zarafa', '/zarafa', '/%%alias_poshprofil/images/icon/mail.png','','',-100, iddefprofil);

	-- spip
	SET fgactif=FALSE;
	%if %%is_defined('activer_spip') and %%activer_spip == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'spip', 'Spip', '/spip', '/%%alias_poshprofil/images/icon/eva.png','','',-100, iddefprofil);

	-- statusnet
	SET fgactif=FALSE;
	%if %%is_defined('activer_statusnet') and %%activer_statusnet == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'statusnet', 'Statusnet', '/statusnet', '/%%alias_poshprofil/images/icon/statusnet.png','','',-100, iddefprofil);

	-- taskfreak
	SET fgactif=FALSE;
	%if %%is_defined('activer_taskfreak') and %%activer_taskfreak == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'taskfreak', 'Taskfreak', '/taskfreak', '/%%alias_poshprofil/images/icon/taskfreak.png','','',-100, iddefprofil);

	-- webcalendar
	SET fgactif=FALSE;
	%if %%is_defined('activer_webcalendar') and %%activer_webcalendar == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'webcalendar', 'Webcalendar', '/webcalendar', '/%%alias_poshprofil/images/icon/calendar.png','','',-100, iddefprofil);

	-- wordpress
	SET fgactif=FALSE;
	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'wordpress', 'Wordpress', '/wordpress', '/%%alias_poshprofil/images/icon/wordpress.png','','',-100, iddefprofil);

	-- bergamote
	SET fgactif=FALSE;
	%if %%is_defined('activer_bergamote') and %%activer_bergamote == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'bergamote', 'Bergamote', '/bergamote', '/%%alias_poshprofil/images/icon/bergamote.png','','',-100, iddefprofil);

	-- sap
	SET fgactif=FALSE;
	%if %%is_defined('activer_sap') and %%activer_sap == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'sap', 'SAP', '/sap', '/%%alias_poshprofil/images/icon/sap.jpg','','',-110, iddefprofil);

	-- jappix
	SET fgactif=FALSE;
	%if %%is_defined('activer_jappix') and %%activer_jappix == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'jappix', 'Jappix', '/jappix', '/%%alias_poshprofil/images/icon/jappix.png','','',-100, iddefprofil);

	-- phpmyadmin
	SET fgactif=FALSE;
	%if %%is_defined('activer_phpmyadmin') and %%activer_phpmyadmin == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'phpmyadmin', 'phpMyAdmin', '/phpmyadmin', '/%%alias_poshprofil/images/icon/phpmyadmin.png','','',-110, iddefprofil);

	-- piwik
	SET fgactif=FALSE;
	%if %%is_defined('activer_piwik') and %%activer_piwik == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'piwik', 'Piwik', '/piwik', '/%%alias_poshprofil/images/icon/piwik.png','','',-110, iddefprofil);

	-- gestion des profils
	SET fgactif=FALSE;
	%if %%is_defined('activer_poshprofil') and %%activer_poshprofil == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'poshprofil', 'Gestion des Profils', '/%%alias_poshprofil', '/%%alias_poshprofil/images/icon/poshprofil.png','','',-110, iddefprofil);

	-- EOP
	SET fgactif=FALSE;
	%if %%is_defined('activer_eop') and %%activer_eop == 'oui'
		SET fgactif=TRUE;
	%end if
	%if %%is_defined('activer_eoe')
		CALL GereDesktopItem(fgactif,'eop', 'EOP', '/eoleapps/eop', '/%%alias_poshprofil/images/icon/eop.png','','',-100, iddefprofil);
	%else
		CALL GereDesktopItem(fgactif,'eop', 'EOP', '/eop/documents', '/%%alias_poshprofil/images/icon/eop.png','','',-100, iddefprofil);
	%end if

	-- EOE
	SET fgactif=FALSE;
	%if %%is_defined('activer_eoe') and %%activer_eoe == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'eoe', 'EOE', '/eoleapps/eleves/passperso', '/%%alias_poshprofil/images/icon/eoe.png','','',-100, iddefprofil);

	-- Owncloud
	SET fgactif=FALSE;
	%if %%is_defined('activer_owncloud') and %%activer_owncloud == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'owncloud', 'Owncloud', '/owncloud', '/%%alias_poshprofil/images/icon/owncloud.png','','',-100, iddefprofil);

	-- Calendrier Evenement
	SET fgactif=FALSE;
	%if %%is_defined('activer_calendrier') and %%activer_calendrier == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'calendrierevt', 'Calendrier Evènement', '/calendrier', '/%%alias_poshprofil/images/icon/calendrier.png','','',-100, iddefprofil);

	-- Iconito
	SET fgactif=FALSE;
	%if %%is_defined('activer_iconito') and %%activer_iconito == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'iconito', 'Iconito', '/iconito', '/%%alias_poshprofil/images/icon/iconito.jpg','','',-100, iddefprofil);

	-- Etherpad
	SET fgactif=FALSE;
	%if %%is_defined('activer_etherpad') and %%activer_etherpad == 'oui'
		SET fgactif=TRUE;
	%end if

	%if %%is_defined('activer_etherhome') and %%activer_etherhome == 'oui'
    	CALL GereDesktopItem(fgactif,'etherpad', 'Etherpad', '/etherhome', '/%%alias_poshprofil/images/icon/etherpad.png','','',-100, iddefprofil);
    %else
        CALL GereDesktopItem(fgactif,'etherpad', 'Etherpad', '/etherpad/', '/%%alias_poshprofil/images/icon/etherpad.png','','',-100, iddefprofil);
    %end if

	-- Balado
	SET fgactif=FALSE;
	%if %%is_defined('activer_balado') and %%activer_balado == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'balado', 'Balado', '/balado/', '/%%alias_poshprofil/images/icon/balado.png','','',-100, iddefprofil);

	-- OpenSondage
	SET fgactif=FALSE;
	%if %%is_defined('activer_opensondage') and %%activer_opensondage == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'opensondage', 'OpenSondage', '/opensondage', '/%%alias_poshprofil/images/icon/opensondage.png','','',-100, iddefprofil);

	-- Ethercalc
	SET fgactif=FALSE;
	%if %%is_defined('activer_ethercalc') and %%activer_ethercalc == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'ethercalc', 'Ethercalc', '/ethercalc/', '/%%alias_poshprofil/images/icon/ethercalc.png','','',-100, iddefprofil);

	-- Mahara
	SET fgactif=FALSE;
	%if %%is_defined('activer_mahara') and %%activer_mahara == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'mahara', 'Mahara', '/mahara', '/%%alias_poshprofil/images/icon/mahara.png','','',-100, iddefprofil);

	-- eConnect
	SET fgactif=FALSE;
	%if %%is_defined('activer_econnect') and %%activer_econnect == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'econnect', 'eConnect', '/econnect', '/%%alias_poshprofil/images/icon/econnect.png','','',-100, iddefprofil);

	-- limesurvey
	SET fgactif=FALSE;
	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'limesurvey', 'Limesurvey', '/limesurvey/index.php/admin', '/%%alias_poshprofil/images/icon/limesurvey.png','','',-100, iddefprofil);

	-- Pydio
	SET fgactif=FALSE;
	%if %%is_defined('activer_pydio') and %%activer_pydio == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'pydio', 'Pydio', '/pydio', '/%%alias_poshprofil/images/icon/pydio.png','','',-100, iddefprofil);

	-- Ressources
	SET fgactif=FALSE;
	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'ressources', 'Ressources ADMIN', '/ressources', '/%%alias_poshprofil/images/icon/ressources.png','','',-110, iddefprofil);

	-- Fengoffice
	SET fgactif=FALSE;
	%if %%is_defined('activer_fengoffice') and %%activer_fengoffice == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'fengoffice', 'FengOffice', '/fengoffice', '/%%alias_poshprofil/images/icon/fengoffice.png','','',-100, iddefprofil);

	-- SACoche
	SET fgactif=FALSE;
	%if %%is_defined('activer_sacoche') and %%activer_sacoche == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'sacoche', 'SACoche', '/sacoche', '/%%alias_poshprofil/images/icon/sacoche.png','','',-100, iddefprofil);

	-- Mindmaps
	SET fgactif=FALSE;
	%if %%is_defined('activer_mindmaps') and %%activer_mindmaps == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'mindmaps', 'Mindmaps', '/mindmaps', '/%%alias_poshprofil/images/icon/mindmaps.png','','',-100, iddefprofil);

	-- Nextcloud
	SET fgactif=FALSE;
	%if %%is_defined('activer_nextcloud') and %%activer_nextcloud == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'nextcloud', 'Nextcloud', '/nextcloud', '/%%alias_poshprofil/images/icon/nextcloud.png','','',-100, iddefprofil);

	-- Kanboard
	SET fgactif=FALSE;
	%if %%is_defined('activer_kanboard') and %%activer_kanboard == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'kanboard', 'Kanboard', '/kanboard', '/%%alias_poshprofil/images/icon/kanboard.png','','',-100, iddefprofil);

	-- Phpldapadmin
	SET fgactif=FALSE;
	%if %%is_defined('activer_phpldapadmin') and %%activer_phpldapadmin == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'phpldapadmin', 'phpLdapAdmin', '/phpldapadmin', '/%%alias_poshprofil/images/icon/phpldapadmin.png','','',-110, iddefprofil);


	-- Les applications à ouvrir automatiquement dans un nouvel onglet
	UPDATE desktopitem SET mode=1 WHERE name='piwik' OR name='phpmyadmin';

end|
delimiter ;

%if %%getVar("activer_ninegate", "non") == 'non'
    CALL DesktopItem;
%else
    TRUNCATE TABLE `alert`;
    TRUNCATE TABLE `alertmsg`;
    TRUNCATE TABLE `bookmark`;
    TRUNCATE TABLE `catitem`;
    TRUNCATE TABLE `catprofile`;
    TRUNCATE TABLE `desktopitem`;
    TRUNCATE TABLE `profile`;
    TRUNCATE TABLE `profilealert`;
    TRUNCATE TABLE `profiledesktopitem`;
    TRUNCATE TABLE `profilethumb`;
    TRUNCATE TABLE `thumb`;
    TRUNCATE TABLE `userattr`;
    TRUNCATE TABLE `userattrprofile`;
%end if

-- augementation de la taille d'url des alert rss
ALTER TABLE `alert` MODIFY `rssalert` VARCHAR(1024);

DROP PROCEDURE GereDesktopItem;
DROP PROCEDURE DesktopItem;
DROP PROCEDURE InsertColumn;
